net.sf.jasperreports.engine.export.oasis

## Class TableBuilder

- java.lang.Object
- - net.sf.jasperreports.engine.export.oasis.TableBuilder

- Direct Known Subclasses:
    JROdsExporter.OdsTableBuilder

      public class TableBuilder
      extends java.lang.Object

  Version:
    $Id: TableBuilder.java 6822 2014-01-20 12:46:11Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `tableName`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TableBuilder(DocumentBuilder documentBuilder, JasperPrint jasperPrint, int reportIndex, int pageIndex, WriterHelper bodyWriter, WriterHelper styleWriter, StyleCache styleCache, java.util.Map<java.lang.Integer,java.lang.String> rowStyles, java.util.Map<java.lang.Integer,java.lang.String> columnStyles)`
    `protected` | `TableBuilder(DocumentBuilder documentBuilder, JasperPrint jasperPrint, java.lang.String name, WriterHelper bodyWriter, WriterHelper styleWriter, StyleCache styleCache, java.util.Map<java.lang.Integer,java.lang.String> rowStyles, java.util.Map<java.lang.Integer,java.lang.String> columnStyles)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildCellFooter()`
    `void` | `buildCellHeader(java.lang.String cellStyleName, int colSpan, int rowSpan)`
    `void` | `buildColumnFooter()`
    `void` | `buildColumnHeader(int colWidth)`
    `void` | `buildColumnStyle(int colIndex, int colWidth)`
    `void` | `buildRow(int rowIndex, int rowHeight)`
    `void` | `buildRowFooter()`
    `void` | `buildRowHeader(int rowHeight)`
    `void` | `buildRowStyle(int rowIndex, int rowHeight)`
    `void` | `buildTableFooter()`
    `void` | `buildTableHeader()`
    `void` | `buildTableStyle(int width)`
    `protected void` | `endHyperlink(boolean isText)`
    `protected void` | `endTextSpan()`
    `protected void` | `exportAnchor(java.lang.String anchorName)`
    `void` | `exportEllipse(JRPrintEllipse ellipse, JRExporterGridCell gridCell)`
    `void` | `exportLine(JRPrintLine line, JRExporterGridCell gridCell)`
    `void` | `exportRectangle(JRPrintGraphicElement rectangle, JRExporterGridCell gridCell)`
    `protected void` | `exportStyledText(JRPrintText text, boolean startedHyperlink)`
    `protected void` | `exportStyledText(JRStyledText styledText, java.util.Locale locale, boolean startedHyperlink)`
    `protected void` | `exportStyledTextRun(java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes, java.lang.String text, java.util.Locale locale, boolean startedHyperlink)`
    `void` | `exportText(JRPrintText text, JRExporterGridCell gridCell)`
    `protected void` | `exportTextContents(JRPrintText text)`
    `protected java.lang.String` | `getHyperlinkTarget(JRPrintHyperlink link)`
    `protected java.lang.String` | `getIgnoreHyperlinkProperty()`
    `protected JasperReportsContext` | `getJasperReportsContext()`
    `java.lang.String` | `getTableName()`
    `protected float` | `getXAlignFactor(JRPrintImage image)`
    `protected float` | `getYAlignFactor(JRPrintImage image)`
    `protected boolean` | `startHyperlink(JRPrintHyperlink link, boolean isText)`
    `protected boolean` | `startHyperlink(JRPrintHyperlink link, boolean isText, boolean isOnePagePerSheet)`
    `protected void` | `startTextSpan(java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes, java.lang.String text, java.util.Locale locale)`
    `protected void` | `writeHyperlink(JRPrintHyperlink link, java.lang.String href, boolean isText)`
    `protected void` | `writeText(java.lang.String text)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tableName

          protected java.lang.String tableName

  - ### Constructor Detail

    - #### TableBuilder

          protected TableBuilder(DocumentBuilder documentBuilder,
                      JasperPrint jasperPrint,
                      java.lang.String name,
                      WriterHelper bodyWriter,
                      WriterHelper styleWriter,
                      StyleCache styleCache,
                      java.util.Map<java.lang.Integer,java.lang.String> rowStyles,
                      java.util.Map<java.lang.Integer,java.lang.String> columnStyles)

    - #### TableBuilder

          protected TableBuilder(DocumentBuilder documentBuilder,
                      JasperPrint jasperPrint,
                      int reportIndex,
                      int pageIndex,
                      WriterHelper bodyWriter,
                      WriterHelper styleWriter,
                      StyleCache styleCache,
                      java.util.Map<java.lang.Integer,java.lang.String> rowStyles,
                      java.util.Map<java.lang.Integer,java.lang.String> columnStyles)

  - ### Method Detail

    - #### buildTableStyle

          public void buildTableStyle(int width)

    - #### buildTableHeader

          public void buildTableHeader()

    - #### buildTableFooter

          public void buildTableFooter()

    - #### buildRowStyle

          public void buildRowStyle(int rowIndex,
                           int rowHeight)

    - #### buildRowHeader

          public void buildRowHeader(int rowHeight)

    - #### buildRowFooter

          public void buildRowFooter()

    - #### buildRow

          public void buildRow(int rowIndex,
                      int rowHeight)

    - #### buildColumnStyle

          public void buildColumnStyle(int colIndex,
                              int colWidth)

    - #### buildColumnHeader

          public void buildColumnHeader(int colWidth)

    - #### buildColumnFooter

          public void buildColumnFooter()

    - #### buildCellHeader

          public void buildCellHeader(java.lang.String cellStyleName,
                             int colSpan,
                             int rowSpan)

    - #### buildCellFooter

          public void buildCellFooter()

    - #### exportRectangle

          public void exportRectangle(JRPrintGraphicElement rectangle,
                             JRExporterGridCell gridCell)

    - #### exportLine

          public void exportLine(JRPrintLine line,
                        JRExporterGridCell gridCell)

    - #### exportEllipse

          public void exportEllipse(JRPrintEllipse ellipse,
                           JRExporterGridCell gridCell)

    - #### exportText

          public void exportText(JRPrintText text,
                        JRExporterGridCell gridCell)

    - #### exportTextContents

          protected void exportTextContents(JRPrintText text)

    - #### exportStyledText

          protected void exportStyledText(JRPrintText text,
                              boolean startedHyperlink)

    - #### exportStyledText

          protected void exportStyledText(JRStyledText styledText,
                              java.util.Locale locale,
                              boolean startedHyperlink)

    - #### exportStyledTextRun

          protected void exportStyledTextRun(java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes,
                                 java.lang.String text,
                                 java.util.Locale locale,
                                 boolean startedHyperlink)

    - #### startTextSpan

          protected void startTextSpan(java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes,
                           java.lang.String text,
                           java.util.Locale locale)

    - #### endTextSpan

          protected void endTextSpan()

    - #### writeText

          protected void writeText(java.lang.String text)

    - #### exportAnchor

          protected void exportAnchor(java.lang.String anchorName)

    - #### getIgnoreHyperlinkProperty

          protected java.lang.String getIgnoreHyperlinkProperty()

    - #### startHyperlink

          protected boolean startHyperlink(JRPrintHyperlink link,
                               boolean isText)

    - #### startHyperlink

          protected boolean startHyperlink(JRPrintHyperlink link,
                               boolean isText,
                               boolean isOnePagePerSheet)

    - #### writeHyperlink

          protected void writeHyperlink(JRPrintHyperlink link,
                            java.lang.String href,
                            boolean isText)

    - #### endHyperlink

          protected void endHyperlink(boolean isText)

    - #### getHyperlinkTarget

          protected java.lang.String getHyperlinkTarget(JRPrintHyperlink link)

    - #### getXAlignFactor

          protected float getXAlignFactor(JRPrintImage image)

    - #### getYAlignFactor

          protected float getYAlignFactor(JRPrintImage image)

    - #### getJasperReportsContext

          protected JasperReportsContext getJasperReportsContext()

    - #### getTableName

          public java.lang.String getTableName()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com